System
Show the deployed release, account, endpoints, and observability data locations
GET /v1/system/installation · SDK getSystemInstallation · CLI deployments system installation
GET
Requires platform:admin.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
SystemInstallationResponse
application/json- response
awsAccountId*stringawsRegion*stringdeployedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timedeployedBy*stringendpoints*array<>images*array<>lambdaArtifacts*array<>profile*stringreleaseManifestSha256*stringMatch
^[0-9a-f]{64}$sourceCommit*stringtargetName*stringdeploymentId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$observability*updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*number|||curl -X GET "https://example.com/v1/system/installation"{ "awsAccountId": "string", "awsRegion": "string", "deployedAt": "2019-08-24T14:15:22Z", "deployedBy": "string", "endpoints": [ { "name": "string", "url": "string" } ], "images": [ { "imageId": "string", "name": "string", "uri": "string" } ], "lambdaArtifacts": [ { "functions": [ { "codeSha256": "string", "name": "string" } ], "name": "string", "sha256": "string" } ], "profile": "string", "releaseManifestSha256": "string", "sourceCommit": "string", "targetName": "string", "deploymentId": "string", "observability": { "athenaWorkgroup": "string", "historyRetentionDays": 0, "hotPlane": { "spanRetentionDays": 0, "traceRetentionDays": 0 }, "tableBucket": "string", "tableNamespace": "string" }, "updatedAt": "2019-08-24T14:15:22Z", "version": 0}